#language: ru

@ProductsOfOrganizations

Функционал: 008. ProductsOfOrganizations. Проверка перезаполнения передачи товаров

Сценарий: 008.1. ProductsOfOrganizations. Создание реализации для проверки перезаполнения передачи товаров

	Дано Я подключаюсь под "Перезаполнение передачи товаров"
	Дано я устанавливаю текущему сеансу заголовок приложения "15.008. Товары организаций"
	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                        |
		| 'Реализация товаров от Организации2' |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Реализация товаров (создание)'
	И в поле с именем 'Дата' я ввожу текст '31.08.2019  0:00:00'
	И в поле 'Комментарий' я ввожу текст 'Реализация товаров 2 от Организации2'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'

Сценарий: 008.2. ProductsOfOrganizations. Перезаполение в оформлении остатков организации

	И В командном интерфейсе я выбираю 'Заказы' 'Оформление остатков организации'
	Тогда открылось окно 'Оформление остатков организации'
	И я меняю значение переключателя 'Оформлять по' на 'Оборотам'
	И я нажимаю на гиперссылку "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '01.08.2019'
	И в поле 'DateEnd' я ввожу текст '31.08.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Оформление остатков организации *'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад готовой продукции'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация2'
	И я нажимаю на кнопку 'ОбновитьТаблицу'
	И я нажимаю на кнопку 'Оформить расхождения'
	И Я закрываю окно 'Оформление остатков организации *'
	Тогда открылось окно 'Закрытие'
	И я нажимаю на кнопку 'Да'

Сценарий: 008.3. ProductsOfOrganizations. Передача товаров между организациями - проверка

	И В командном интерфейсе я выбираю 'Заказы' 'Передача товаров между организациями'
	Тогда открылось окно 'Передача товаров между организациями'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'        |
		| 'Передача товаров 1' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Передача товаров между организациями * от *'
	И элемент формы "Отправитель" стал равен "Организация"
	И элемент формы "Получатель" стал равен "Организация2"
	И элемент формы "Склад" стал равен "Склад готовой продукции"
	И элемент формы "Вид цен" стал равен "Зависимый 1"
	И элемент формы "Налогообложение" стал равен "Облагается (с НДС)"
	И я перехожу к закладке "Товары"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.' | 'Характеристика'   | 'Серия'                        | 'Сумма, RUB' | 'В ед. хранения' | 'Цена, RUB' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' |
		| '20,000'     | 'Сыр Адыгейский'  | 'кг'  | '<Без маркировки>' | '000001 до 27.10.2020 0:00:00' | '1 700,00'   | '20,000, кг'     | '85,00'     | '20%'   | '283,33'    | '1 700,00'   | ''        |
		| '20,000'     | 'Сыр Пошехонский' | 'кг'  | '<Без маркировки>' | '000001 до 27.10.2020 0:00:00' | '4 500,00'   | '20,000, кг'     | '225,00'    | '10%'   | '409,09'    | '4 500,00'   | ''        |
		| '20,000'     | 'Сыр Костромской' | 'кг'  | '<Без маркировки>' | '000001 до 27.10.2020 0:00:00' | '900,00'     | '20,000, кг'     | '45,00'     | '18%'   | '137,29'    | '900,00'     | ''        |
	И элемент формы "НДС" стал равен "829,71"
	И элемент формы "Итого, RUB" стал равен "7 100,00"
	И я перехожу к закладке "Печать"
	И элемент формы "Счет покупателя" стал равен "Основной счет(2)"
	И элемент формы "Грузополучатель" стал равен "Организация2"
	И элемент формы "Счет грузополучателя" стал равен "Основной счет(2)"
	И элемент формы "Адрес доставки" стал равен "117343, Москва г, пер. Маяковского, дом № 87"
	И элемент формы "Счет организации" стал равен "Основной счет"
	И элемент формы "Грузоотправитель" стал равен "Организация"
	И элемент формы "Счет грузоотправителя" стал равен "Основной счет"
	И элемент формы "Адрес погрузки" стал равен "117342, Москва г, Севастопольский пр-кт, дом № 56"
	И элемент формы "Руководитель" стал равен "Главный Р. К."
	И элемент формы "Главный бухгалтер" стал равен "Главный Б. К."
	И Я закрываю окно 'Передача товаров между организациями * от *'
	Тогда открылось окно 'Передача товаров между организациями'
	И Я закрываю окно 'Передача товаров между организациями'

Сценарий: 008.4. ProductsOfOrganizations. Создание реализации для проверки оформления остатков по остаткам

	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                        |
		| 'Реализация товаров от Организации2' |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Реализация товаров (создание)'
	И в поле с именем 'Дата' я ввожу текст '02.02.2020  0:00:00'
	И в поле 'Комментарий' я ввожу текст 'Реализация товаров 3 от Организации2'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'

Сценарий: 008.5. ProductsOfOrganizations. Перезаполение в оформлении остатков организации - по остаткам

	И В командном интерфейсе я выбираю 'Заказы' 'Оформление остатков организации'
	Тогда открылось окно 'Оформление остатков организации'
	И я меняю значение переключателя 'Оформлять по' на 'Остаткам'
	И в поле 'ДатаОстатков' я ввожу текст '02.02.2020'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад готовой продукции'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация2'
	И я нажимаю на кнопку 'ОбновитьТаблицу'
	И я нажимаю на кнопку 'Оформить расхождения'
	И Я закрываю окно 'Оформление остатков организации'
	Тогда открылось окно 'Закрытие'
	И я нажимаю на кнопку 'Да'

Сценарий: 008.6. ProductsOfOrganizations. Передача товаров между организациями - проверка по остаткам

	И В командном интерфейсе я выбираю 'Заказы' 'Передача товаров между организациями'
	Тогда открылось окно 'Передача товаров между организациями'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'        |
		| ''                   |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Передача товаров между организациями * от *'
	И элемент формы "Отправитель" стал равен "Организация"
	И элемент формы "Получатель" стал равен "Организация2"
	И элемент формы "Склад" стал равен "Склад готовой продукции"
	И элемент формы "Вид цен" стал равен "Зависимый 1"
	И элемент формы "Налогообложение" стал равен "Облагается (с НДС)"
	И я перехожу к закладке "Товары"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.' | 'Характеристика'   | 'Серия'                        | 'Сумма, RUB' | 'В ед. хранения' | 'Цена, RUB' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' |
		| '10,000'     | 'Сыр Адыгейский'  | 'кг'  | '<Без маркировки>' | '000001 до 27.10.2020 0:00:00' | '850,00'     | '10,000, кг'     | '85,00'     | '20%'   | '141,67'    | '850,00'     | ''        |
		| '10,000'     | 'Сыр Костромской' | 'кг'  | '<Без маркировки>' | '000001 до 27.10.2020 0:00:00' | '450,00'     | '10,000, кг'     | '45,00'     | '18%'   | '68,64'     | '450,00'     | ''        |
		| '10,000'     | 'Сыр Пошехонский' | 'кг'  | '<Без маркировки>' | '000001 до 27.10.2020 0:00:00' | '2 250,00'   | '10,000, кг'     | '225,00'    | '10%'   | '204,55'    | '2 250,00'   | ''        |
	И элемент формы "НДС" стал равен "414,86"
	И элемент формы "Итого, RUB" стал равен "3 550,00"
	И я перехожу к закладке "Печать"
	И элемент формы "Счет покупателя" стал равен "Основной счет(2)"
	И элемент формы "Грузополучатель" стал равен "Организация2"
	И элемент формы "Счет грузополучателя" стал равен "Основной счет(2)"
	И элемент формы "Адрес доставки" стал равен "117343, Москва г, пер. Маяковского, дом № 87"
	И элемент формы "Счет организации" стал равен "Основной счет"
	И элемент формы "Грузоотправитель" стал равен "Организация"
	И элемент формы "Счет грузоотправителя" стал равен "Основной счет"
	И элемент формы "Адрес погрузки" стал равен "117342, Москва г, Севастопольский пр-кт, дом № 56"
	И элемент формы "Руководитель" стал равен "Главный Р. К."
	И элемент формы "Главный бухгалтер" стал равен "Главный Б. К."
	* Проверка способа создания
		И элемент формы 'Способ создания' стал равен 'Автоматическая передача товаров между организациями'
	И Я закрываю окно 'Передача товаров между организациями * от *'
	Тогда открылось окно 'Передача товаров между организациями'
	И Я закрываю окно 'Передача товаров между организациями'

Сценарий: 008.7. ProductsOfOrganizations. Завершение

	И я закрываю сеанс TESTCLIENT